<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;


class Ger98500TipoGestaoFiscalController extends \Teknisa\DF\Controllers\TeknisaCrud {
	protected $dataSourceName = '';
	protected $dataSourceToSave = '';
	protected $parameterBagColumns = array();
	protected $ger98500TipoGestaoFiscalService;

	public function __construct($crudService, $parameterBag,$ger98500TipoGestaoFiscalService) {
        parent::__construct($crudService, $parameterBag);
        $this->ger98500TipoGestaoFiscalService = $ger98500TipoGestaoFiscalService;
 	}

	public function deleteTipoGestaoFiscal(DTO\Request $request, DTO\Response $response) {
		$this->dataSourceName = 'tpfaturfis';
		parent::delete($request,$response);
	}

	public function findUnidadeTipoGestaoFiscal(DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = 'filtpfaturfis_filial_tpfaturfis';
        $this->parameterBagColumns = array("P_CDTPFATURFIS");
	    parent::find($request,$response);
    }

    public function saveUnidadeTipoGestaoFiscal(DTO\Request $request, DTO\Response $response) {
		$this->dataSourceName = 'filtpfaturfis_filial_tpfaturfis';
		$this->dataSourceToSave = 'filtpfaturfis_filial_tpfaturfis';
		parent::save($request,$response);
	}

	public function deleteUnidadeTipoGestaoFiscal(DTO\Request $request, DTO\Response $response) {
		$this->dataSourceName = 'filtpfaturfis_filial_tpfaturfis';
		parent::delete($request,$response);
	}

	public function verificaUnidadeRelacionada(DTO\Request $request, DTO\Response $response) {
		$resul = $this->ger98500TipoGestaoFiscalService->verficarUnidade($request->getRow());
		$response->addDataset($resul);
	}

	public function deleteTipoGestaoFiscalUniadeRelacionada(DTO\Request $request, DTO\Response $response) {
		$this->ger98500TipoGestaoFiscalService->deletar($request->getRow());
	}
}